MySQL++: mysqlpp::SimpleResult Class Reference
mysqlpp::SimpleResult Class Reference

Holds information about the result of queries that don't return rows. More...

`#include <result.h>`

## Public Member Functions

| SimpleResult ()
| Default ctor.
| SimpleResult (bool copacetic, ulonglong insert_id, ulonglong rows, const std::string &info)
| Initialize object.
| operator private_bool_type () const
| Test whether the query that created this result succeeded. More...
ulonglong | insert_id () const
| Get the last value used for an AUTO_INCREMENT field.
ulonglong | rows () const
| Get the number of rows affected by the query.
const char * | info () const
| Get any additional information about the query returned by the server.

## Detailed Description

Holds information about the result of queries that don't return rows.

## Member Function Documentation

## operator private_bool_type()

mysqlpp::SimpleResult::operator private_bool_type | ( |  | ) | const

inline

Test whether the query that created this result succeeded.

If you test this object in bool context and it's false, it's a signal that the query this was created from failed in some way. Call Query::error() or Query::errnum() to find out what exactly happened.

The documentation for this class was generated from the following file:

- result.h